Subject: IMAPD with PAM under Solaris

From: "Martynas Buozis" <[email-masked]>
Date: Tue, 21 Oct 2003 17:59:05 +0200

Hello

I have compiled IMAPD with PAM support under Solaris using command line "make sol SSLTYPE=unix.nopwd PASSWDTYPE=pmb", also included these configuration lines in /etc/pam.conf :

imapd   auth sufficient /usr/lib/security/$ISA/pam_unix.so.1 debug
imapd   auth required   /usr/lib/security/$ISA/pam_krb5.so.1 debug try_first_pass

I also tried use imaps (like services name in /etc/services and /etc/inetd.conf) instead imapd in pam.conf, but it looks like IMAPD is ignoring these lines. I truss'ed program and found, that it always uses pam_unix module, but never pam_krb5. What services name should I use for IMAPD in /etc/pam.conf ? I do not want add pam_krb5 to other or login services names in /etc/pam.conf.

Same IMAPD without PASSWDDTYPE=pmb is working, looks like pam_unix is also working (probbaly under services name OTHER or LOGIN in /etc/pam.conf?), pam_krb5 is working for ssh without problmes under same configuration.

Thank you for your tips and help in advance.

With best regards
Martynas